QuotaAwareStore (JavaMail API documentation)
Date: 2016-12-03

javax.mail

## Interface QuotaAwareStore

- All Known Implementing Classes:
    IMAPSSLStore, IMAPStore

      public interface QuotaAwareStore

  An interface implemented by Stores that support quotas. The `getQuota` and `setQuota` methods support the quota model defined by the IMAP QUOTA extension. Refer to RFC 2087 for more information.

  Since:
    JavaMail 1.4

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Quota[]` | `getQuota(java.lang.String folder)` Get the quotas for the named folder.
    `void` | `setQuota(Quota quota)` Set the quotas for the quota root specified in the quota argument.

- - ### Method Detail

    - #### getQuota

          Quota[] getQuota(java.lang.String folder)
                           throws MessagingException

      Get the quotas for the named folder. Quotas are controlled on the basis of a quota root, not (necessarily) a folder. The relationship between folders and quota roots depends on the server. Some servers might implement a single quota root for all folders owned by a user. Other servers might implement a separate quota root for each folder. A single folder can even have multiple quota roots, perhaps controlling quotas for different resources.
      Parameters:
        `folder` - the name of the folder
      Returns:
        array of Quota objects
      Throws:
        `MessagingException` - if the server doesn't support the QUOTA extension

    - #### setQuota

          void setQuota(Quota quota)
                        throws MessagingException

      Set the quotas for the quota root specified in the quota argument. Typically this will be one of the quota roots obtained from the `getQuota` method, but it need not be.
      Parameters:
        `quota` - the quota to set
      Throws:
        `MessagingException` - if the server doesn't support the QUOTA extension

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms< /a>.